Packages - Bug #2571

Housekeeping # 2488 (open): [iceweasel] various issues related to branding

[iceweasel-I10n-es-ar][iceweasel-110n-pl]: Iceweasel doesn't start with some language packs
2019-12-03 09:22 PM - eliotime3000

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Following the report from the bug report Bug #2561 [iceweasel] sudden shutdown of Iceweasel 70.0.1, | must clarify the following.

After try one more time to install the iceweasel-I110n-es-ar package, | got the error reported on the bug report Bug #2561: [iceweasel]
sudden shutdown of Iceweasel 70.0.1. Also, I've installed the iceweasel-110n-es-es and iceweasel-I10n-es-mx package and both
packages didn't change the language of Iceweasel interface. Meanwhile, in Icedove and GNU IceCat, the language packs are
working flawlessly fine.

History

#1 - 2019-12-03 09:35 PM - bill-auger

i noticed that i needed to set the language manually in the
preferences GUI - installing the language packs alone did not
change the language automatically - im not sure if it is supposed
to

#2 - 2019-12-20 08:43 PM - eliotime3000

| tried to change manually the language of Iceweasel using the iceweasel-110n-es-es language pack, and | got the reported bug #2561 again. Any
other add-on that | have installed didn't have any issue with the browser. Grisslyuser notified about this bug specificly on the Iceweasel 70.0 update
and for now | noticed that this error message quoted triggers when | try to apply a language pack manually on the browser.

#3 - 2020-01-19 01:00 PM - bill-auger

- Description updated

#4 - 2020-01-21 01:29 AM - eliotime3000

Iceweasel updated to the version 72.0.1. Sadly, when I've installed the iceweasel-110n-es-ar package, this error avoid to run the browser:

1579569700678 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml
Linea 1930, columna 9: <toolbaritem id="appMenu-fxa-status"

As always, uninstalling the language pack, the browser runs flawlessly. Zero issues with extensions (AdSkip, uBlock Origin, etc.).

#5 - 2020-01-21 01:59 AM - bill-auger

- Status changed from unconfirmed to confirmed

i used the v70 branding package; but maybe grizzlyusers's changes did not get into that

#6 - 2020-01-21 01:31 PM - bill-auger

- Subject changed from [iceweasel-110n-es-ar] Language packs are buggy to [iceweasel-I10n-es-ar]ficeweasel-110n-pl]: Iceweasel doesn't start with
some language packs

#7 - 2020-02-03 07:28 PM - arder

Same issue here with iceweasel=72.0.1 and iceweasel-I10n-es-mx, iceweasel-I10n-es-es, iceweasel-110n-en-gb, and iceweasel-110n-en-us

#8 - 2020-04-08 12:01 AM - eliotime3000

Iceweasel 74.0.1 is still having the same issue.

1586303913864 Marionette FATAL Error de andlisis XML: entidad indefinida
Ubicacién: chrome://browser/content/browser.xhtml
Linea 1833, columna 9: <toolbaritem id="appMenu-fxa-status"

#9 - 2020-04-08 01:06 AM - bill-auger

thats too bad - i was hoping this bug would fix itself after a few new releases of the language-packs - the bug is probably in the iceweasel patches or
branding

the esperanto language still works as expected - presumably it has not had the new problematic translation added yet
a quick and dirty fix maybe to delete the translations for that 'appMenu-fxa-status' element - you could try that as a work-around

#10 - 2020-04-08 11:39 AM - pks40

Hi everyone, | suppose this is the same problem as for Icedove in #2668. Some versions ago, an entity called brandProductName was introduced to
the branding file brand.dtd for Firefox and Thunderbird. See, for example, the file browser/branding/official/locales/en-US/brand.dtd in the Firefox
sources. If this is used somewhere, but not defined in the branding file, one gets mysterious weird errors.

In the corresponding en-US file https:/qit.parabola.nu/packages/iceweasel.qgit/tree/src/branding/locales/en-US/brand.dtd for Iceweasel, this is
included.

However, the branding file https://git.parabola.nu/abslibre.git/tree/libre/iceweasel-110n/brand.dtd for the language packs is missing the line. So
probably this is gonna be fixed by adding the line

<!ENTITY brandProductName "Iceweasel">
to this file.

#11 - 2020-04-08 11:47 AM - pks40

PS: Icedove is rebranded as "Parabola Icedove", but Iceweasel as "Mozilla Iceweasel". Why is that so, an do we want to change it?
#12 - 2020-04-08 05:52 PM - bill-auger
pks40 -

yes we want to change it - could you add that last point to ticket #2488 - we have been keeping that one open to collect various iceweasel branding
issues

#13 - 2020-04-08 06:00 PM - bill-auger

regarding the proposed fix for this issue: that would certainly be an easier fix if it worked - i dont think the problem is related to locales generally
though; because some of the languages do not have this problem - i suspect that this is related to a new GUI element, and that the languages which
are still working have not added a translation for that element yet

#14 - 2020-04-09 02:47 AM - eliotime3000
"Mozilla Iceweasel" happens due to parameter "VendorShortName" is named "Parabola", no Mozilla.
PS: Nice suggestion in the lanugage packs, to be honest.

#15 - 2020-04-09 10:57 AM - pks40

| think the problem is caused by exactly this thing. | got the same error yesterday, using the German language pack, when creating a new profile (my
old profile worked flawlessly). After | edited brand.dtd in the language pack and added a brandProductName, it started working (I had to create
another new profile though).

Looking into the source code, we can trace back where the error comes from: The line

<toolbaritem id="appMenu-fxa-status"

from the error message |s included |nto browser.xhtml from browser/components/customizableui/content/panelUl.inc. xhtml see

tmlin Ime 222. In line 224, we see that the toolbar uses the label fxa.menu.signin.label:

<toolbaritem id="appMenu-fxa-status"
class="sync-ui-item"
defaultlabel="&fxa.menu.signin.label;"
flex="1">

This is in turn defined in browser.dtd, see
https://hg.mozilla.org/mozilla-central/file/33d2485721c6ffd20a952d698754041a14be11b3/browser/locales/en-US/chrome/browser/browser.dtd in line
73:

<!ENTITY fxa.menu.signin.label "Sign in to &brandProductName; ">
Thus, if brandProductName is not set, we get the above error.

#16 - 2022-04-23 09:05 PM - bill-auger
- Parent task set to #2488

#17 - 2022-04-23 09:07 PM - bill-auger

the current solution has been to no longer package the language packs - language packs can be conveniently installed in the prefs GUI now - as they
are only data, there is no freedom concern in permitting this feature, which would otherwise be an auto-downloader or TPPM, if it were downloading
executable code
